This discussion is archived
2 Replies Latest reply: Jan 21, 2013 7:24 AM by EdStevens RSS

Can't initialize OCI. Error -1

940443 Newbie
Currently Being Moderated
Hi,

I have Oracle client 9i installed in my PC. recently I installed Toad 11.5 version. when I am trying to connect to the database it is showing "Can't initialize OCI. Error -1".
I added the system variables and user variables for Oracle in Environment variables.

Is there any problem with the 9i, is 9i compatible to Toad 11.5 version.

Please suggest.

Regards,
Sreeni.
  • 1. Re: Can't initialize OCI. Error -1
    BillyVerreynne Oracle ACE
    Currently Being Moderated
    This likely means that the OCI DLL (Oracle Call Interface dynamic link library) was not loaded.

    The primary reason for that is that the Win32/64 call LoadLibrary failed to find the physical OCI DLL file on disk.

    Which in turn means that the PATH environment variable does not include the directory location of the OCI DLL file.

    None of which have anything to do with the subject matter of this forum - the Oracle Database's SQL and PL/SQL languages.
  • 2. Re: Can't initialize OCI. Error -1
    EdStevens Guru
    Currently Being Moderated
    937440 wrote:
    Hi,

    I have Oracle client 9i installed in my PC. recently I installed Toad 11.5 version. when I am trying to connect to the database it is showing "Can't initialize OCI. Error -1".
    I added the system variables and user variables for Oracle in Environment variables.

    Is there any problem with the 9i, is 9i compatible to Toad 11.5 version.
    I wouldn't be surprised. Why are you using such an old version of the client?
    Please suggest.

    Regards,
    Sreeni.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points